summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAndi Kleen <ak@linux.intel.com>2021-05-04 20:35:27 -0700
committerMasahiro Yamada <masahiroy@kernel.org>2021-05-06 02:16:41 +0900
commit51eb95e2da41802454f48b9afeb4d96a77295035 (patch)
tree5d32d093beb0762368583812aaaa79d08a1493ed /scripts
parent11122b860bc52a09c779c3de9415436794fb5605 (diff)
downloadlinux-51eb95e2da41802454f48b9afeb4d96a77295035.tar.gz
linux-51eb95e2da41802454f48b9afeb4d96a77295035.tar.xz
kbuild: Don't remove link-vmlinux temporary files on exit/signal
Keep them around until they are cleaned up by make clean. This uses a bit more disk space, but makes it easier to debug any problems with the kernel link process. Suggested-by: Masahiro Yamada <masahiroy@kernel.org> Signed-off-by: Andi Kleen <ak@linux.intel.com> Signed-off-by: Masahiro Yamada <masahiroy@kernel.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/link-vmlinux.sh14
1 files changed, 0 insertions, 14 deletions
diff --git a/scripts/link-vmlinux.sh b/scripts/link-vmlinux.sh
index 7d112681f332..f4de4c97015b 100755
--- a/scripts/link-vmlinux.sh
+++ b/scripts/link-vmlinux.sh
@@ -320,20 +320,6 @@ cleanup()
rm -f .vmlinux.d
}
-on_exit()
-{
- if [ $? -ne 0 ]; then
- cleanup
- fi
-}
-trap on_exit EXIT
-
-on_signals()
-{
- exit 1
-}
-trap on_signals HUP INT QUIT TERM
-
# Use "make V=1" to debug this script
case "${KBUILD_VERBOSE}" in
*1*)